#
# spec file for package nml
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           nml
Version:        0.4.2
Release:        lp150.1.13
Summary:        NewGRF Meta Language
License:        GPL-2.0+
Group:          Development/Tools/Building
Url:            http://dev.openttdcoop.org/projects/nml
Source:         http://bundles.openttdcoop.org/nml/releases/%{version}/%{name}-%{version}.tar.gz
Source99:       nml-rpmlintrc
# PATCH-FIX-OPENSUSE nml-python341.diff lnussel@suse.de -- fix build for Leap https://dev.openttdcoop.org/issues/7637
Patch0:         nml-python341.diff
# PATCH-FIX-OPENSUSE nml-0.4.2-pillow.diff -- fix build for new Pillow instead of PIL
Patch1:         nml-0.4.2-pillow.diff
BuildRequires:  gcc
BuildRequires:  python3-devel
# We need the required packages also on building for regression tests:
BuildRequires:  python3-Pillow
BuildRequires:  python3-ply
BuildRequires:  python3-setuptools
Requires:       python3-Pillow
Requires:       python3-ply
Requires:       python3-setuptools
Provides:       nmlc = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A tool to compile nml files to grf or nfo files, making newgrf coding easier.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1

%build
make
make extensions

%install
python3 setup.py install --skip-build --root=%{buildroot} --prefix=%{_prefix}

install -D -m0644 docs/nmlc.1 %{buildroot}%{_mandir}/man1/nmlc.1

#setuptools should not be a requirement on running, so we install the nmlc wrapper from source
install -m0755 nmlc %{buildroot}%{_bindir}/nmlc

# The actual python code is not being installed?!?
mkdir -p %{buildroot}%{python3_sitelib}/nml
cp -rp nml/* %{buildroot}%{python3_sitelib}/nml/

%files
%defattr(-,root,root,-)
%doc docs/*.txt
%{_bindir}/nmlc
%{_mandir}/man1/nmlc.1*
%{python3_sitearch}/*
%{python3_sitelib}/%{name}/

%changelog
* Sun Nov 15 2015 opensuse@dstoecker.de
- update tp 0.4.2
- add fix for new Pillow (nml-0.4.2-pillow.diff) taken from pyglet
  issue 677
* Fri Oct 23 2015 lnussel@suse.de
- lift requirement on python3-devel and add nml-python341.diff to
  fix build on Leap
* Sat Jun  6 2015 mailaender@opensuse.org
- don't run the regression tests twice
- install the man page
- avoid a runtime dependency on setuptools
* Wed May 20 2015 dimstar@opensuse.org
- Add python3-setuptools requires: nml makes use of pkg_resources
  during runtime
  from openttd-opengfx build log:
  /usr/bin/nmlc -c -p DOS --grf ogfxt_toyland.grf ogfxt_toyland.nml
  Traceback (most recent call last):
    File "/usr/bin/nmlc", line 5, in <module>
    from pkg_resources import load_entry_point
    ImportError: No module named 'pkg_resources'
- Manually install the nml directory into python3_sitelib: python
  setup.py forgets to install this, resulting in nmlc not being able
  to be started (failed to import nml).
* Sun Apr 26 2015 mailaender@opensuse.org
- update to 0.4.1 (drops support for Python 2)
  - improved performance and NewGRF support
* Sat Jun 14 2014 mailaender@opensuse.org
- update to 0.3.1 (drops support for Python version 2.5)
* Sat Dec 29 2012 suse@ammler.ch
- update to 0.2.4 (OpenGFX 0.4.6.1)
  (check changelog.txt)
* Sat Oct 27 2012 suse@ammler.ch
- downgrade to 0.2.3
  OpenGFX 0.4.5 builds with NML 0.2.3 only
* Sun Oct 14 2012 suse@ammler.ch
- update to 0.2.4 (bugfix release)
* Fri Mar  2 2012 cfarrell@suse.com
- license update: GPL-2.0+
  No evidence of GPL-2.0 (only) files in the package
* Fri Mar  2 2012 saschpe@suse.de
- Cleaned up macro usage
* Mon Feb 20 2012 suse@ammler.ch
- upstream update 0.2.3
- Add: Action5 for tunnel portals
- Fix: Properly catch out-of-bounds image reads (issue #3666)
- Fix: Character code 0xA0 (NBSP) is used for an up arrow in TTD, so
    don't write it as ascii. Force unicode instead (issue #3643)
* Mon Feb  6 2012 suse@ammler.ch
- upstream update 0.2.2
* Sat Dec 31 2011 suse@ammler.ch
- upstream update 0.2.1
- required for opengfx 0.4
* Sun Jun 19 2011 ammler@openttdcoop.org
- upstream update 0.1.1
- rpmlintrc to suppress python name policy
* Thu Apr 14 2011 ammler@openttdcoop.org
- initial setup
